Tab left/right buttons for project menu
2015-08-28 17:26 - Felix Gliesche

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.0

Description

On small screens with many tabs in the project navigation the tabs of the far right are not visible. It would be nice if the tabs can be
scrolled left / right like in the second level navigation (e.g. project settings).

This patch introduces this feature. It uses the same javascript as the second level navigation.

In order for this to work, you need the the patch attached to #20271

Related issues:

Related to Redmine - Patch #13892: Wraping Mainmenu on long menus Closed
Related to Redmine - Defect #9275: If the number of modules spans over 2 line... Closed 2011-09-19
Related to Redmine - Defect #6624: Project horizontal menu layout doesn't wrap Closed 2010-10-11
Blocked by Redmine - Patch #20271: Fix for multiple tabs on the same page Closed

Associated revisions

Revision 15067 - 2016-01-16 10:14 - Jean-Philippe Lang
Tab left/right buttons for project menu (#20632).
Patch by Felix Gliesche.
Revision 15249 - 2016-03-15 23:07 - Jean-Philippe Lang
Tab-buttons: add some user-feedback (#20632).
® Hover color
e Enable/disable buttons (visually at least) when no more change is possible
¢ Width calculation with jQuery only, no longer hard-coded
L]

Remove ugly outline in Chrome (at least on Mac)

Patch by Daniel Ritz.

History

#1 - 2015-08-28 17:26 - Jan from Planio www.plan.io
- Blocked by Patch #20271: Fix for multiple tabs on the same page added

#2 - 2015-08-28 17:35 - Jan from Planio www.plan.io
- File Settings - Project A - Redmine 2015-08-28 17-34-26.png added

Here's a screenshot to illustrate this.

00

#3 - 2015-09-01 19:20 - Felix Gliesche
- File 0001-Apply-existing-tab-functionality-to-main-menu.patch added

For this patch to work, we need inline-block elements instead of left floating elements. | am uploading a little update to the initial patch, that fixes the
problem of space between inline-block elements (see problem and solutions to it here:
https://css-tricks.com/fighting-the-space-between-inline-block-elements/) by removing new lines between the project menu's list elements.

#4 - 2015-09-01 19:31 - Jan from Planio www.plan.io
https://www.redmine.org/issues/20271
https://www.redmine.org/attachments/14182
https://css-tricks.com/fighting-the-space-between-inline-block-elements/

- File deleted (0001-Apply-existing-tab-functionality-to-main-menu.patch)

#5 - 2015-09-01 19:31 - Jan from Planio www.plan.io

Just removed the old patch version

#6 - 2015-12-24 14:28 - Go MAEDA

- Target version set to 3.3.0

The patch can be applied cleanly to the current trunk (r14989) and works fine.
Maybe overflowed main menu have annoyed many users. Let's include this feature in Redmine 3.3.0.

#7 - 2016-01-04 12:04 - Go MAEDA
- Related to Patch #13892: Wraping Mainmenu on long menus added

#8 - 2016-01-16 10:14 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed, thanks.

#9 - 2016-01-25 22:50 - Daniel Ritz

- File 0002-Tab-buttons-add-some-user-feedback.patch added

- File tabbuttons-left-not-possbile.png added

| really like that one! One thing though: how about some user feedback by enabling/disabling the buttons? | hacked together something:
¢ Hover color
¢ Enable/disable buttons (visually at least) when no more change is possible
e Width calculation with jQuery only, no longer hard-coded

¢ Remove ugly blue outline on buttons in Chrome (at least on Mac)

It's only lightly tested. Please see screenshot (and ignore the collapse-sidebar button, that's from #21808..too lazy to un-apply :)
tabbuttons-left-not-possbile.png

#10 - 2016-02-09 02:28 - Go MAEDA

- Related to Defect #9275: If the number of modules spans over 2 lines, ugly overlapping of controls may occur. added

#11 - 2016-02-22 09:08 - Toshi MARUYAMA

- Status changed from Closed to Reopened

Daniel Ritz wrote:

| really like that one! One thing though: how about some user feedback by enabling/disabling the buttons? | hacked together something:

Reopened.

#12 - 2016-03-15 23:08 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Patch by Daniel committed, thanks.

#13 - 2016-06-20 14:39 - Olivier Houdas

Tabs buttons are now visible on the home page after logging in, when using Redmine 3.3.0 released yesterday. This is a bit confusing, as there are
no tabs in the home page.

#14 - 2016-06-21 02:21 - Go MAEDA

Olivier Houdas wrote:

Tabs buttons are now visible on the home page after logging in, when using Redmine 3.3.0 released yesterday. This is a bit confusing, as there
are no tabs in the home page.
https://www.redmine.org/issues/21808

Since 3.3.0 have been released, please create a new issue to report a defect.

#15 - 2016-06-21 09:11 - Olivier Houdas

Sorry, this is due to RedmineCRM contact_helpdesk plugin. | will file a bug directly to them.

#16 - 2016-12-23 05:39 - Go MAEDA

- Related to Defect #6624: Project horizontal menu layout doesn't wrap added

Files
